#
# spec file for package psi+-plugins-psimediaplugin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name psimedia

Name:           psi+-plugins-psimediaplugin
Version:        1.0.3
Release:        6.2
Summary:        Audio/Video Plugin for psi-like im clients
License:        LGPL-2.1+
Group:          Productivity/Networking/Instant Messenger
Url:            http://delta.affinix.com/psimedia/
Source:         %{_name}-%{version}.tar.bz2
Patch0:         psimedia-speexdsp.patch
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  libqt4-devel
BuildRequires:  speex-devel
BuildRequires:  pkgconfig(speexdsp) >= 1.2rc1
Requires:       psi+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PsiMedia is a thick abstraction layer for providing audio and video RTP services to Psi-like IM clients.  The implementation is based on GStreamer.

%prep
%setup -q -n %{_name}
%patch0 -p1

%build
./configure
make %{?_smp_mflags}

%install
%{__install} -D -m0755 gstprovider/libgstprovider.so %{buildroot}/%{_libdir}/psi-plus/plugins/libgstprovider.so

%files
%defattr(-,root,root)
%doc README COPYING
%dir %{_libdir}/psi-plus
%dir %{_libdir}/psi-plus/plugins/
%{_libdir}/psi-plus/plugins/libgstprovider.so

%changelog
* Mon Mar 16 2015 dimstar@opensuse.org
- Add pkgconfig(speexdsp) BuildRequires: configure checks
  explicitly for its presence and speex/speexdsp have been split.
- Add psimedia-speexdsp.patch: Fix build with speexdsp.
* Tue Jun 25 2013 seiler@b1-systems.de
- corrected wrong license
  https://build.opensuse.org/request/show/180749
* Tue Jun 11 2013 seiler@b1-systems.de
- initial commit
